<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! appointment_management_has_page_header() ) {
    return;
}

$appointment_management_classes = array( 'page-header' );
$appointment_management_style = appointment_management_page_header_style();

if ( $appointment_management_style ) {
    $appointment_management_classes[] = $appointment_management_style . '-page-header';
}

$appointment_management_visibility = get_theme_mod( 'appointment_management_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $appointment_management_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $appointment_management_visibility ) {
    $appointment_management_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $appointment_management_visibility ) {
    $appointment_management_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $appointment_management_visibility ) {
    $appointment_management_classes[] = 'hide-on-tablet-mobile';
}

$appointment_management_PAGE_TITLE_background_color = get_theme_mod('appointment_management_page_title_background_color_setting', '');

// Get the toggle switch value
$appointment_management_background_image_enabled = get_theme_mod('appointment_management_page_header_style', true);

// Add background image to the header if enabled
$appointment_management_background_image = get_theme_mod( 'appointment_management_page_header_background_image', '' );
$appointment_management_background_height = get_theme_mod( 'appointment_management_page_header_image_height', '200' );
$appointment_management_inline_style = '';

if ( $appointment_management_background_image_enabled && ! empty( $appointment_management_background_image ) ) {
    $appointment_management_inline_style .= 'background-image: url(' . esc_url( $appointment_management_background_image ) . '); ';
    $appointment_management_inline_style .= 'height: ' . esc_attr( $appointment_management_background_height ) . 'px; ';
    $appointment_management_inline_style .= 'background-size: cover; ';
    $appointment_management_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $appointment_management_classes[] = 'has-background-image';
}

$appointment_management_classes = implode( ' ', $appointment_management_classes );
$appointment_management_heading = get_theme_mod( 'appointment_management_page_header_heading_tag', 'h1' );
$appointment_management_heading = apply_filters( 'appointment_management_page_header_heading', $appointment_management_heading );

?>

<?php do_action( 'appointment_management_before_page_header' ); ?>

<header class="<?php echo esc_attr( $appointment_management_classes ); ?>" style="<?php echo esc_attr( $appointment_management_inline_style ); ?> background-color: <?php echo esc_attr($appointment_management_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'appointment_management_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( appointment_management_has_page_header() ) : ?>

            <<?php echo esc_attr( $appointment_management_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( appointment_management_get_page_title() ); ?>
            </<?php echo esc_attr( $appointment_management_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'appointment_management_breadcrumb' ) ) : ?>
            <?php appointment_management_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'appointment_management_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'appointment_management_after_page_header' ); ?>